ElementDeleter.h File Reference

Go to the source code of this file.

## Classes

class | ElementDeleter< Container >

## Functions

template<class Container, class Element>
void | exceptionSafePushBack (Container &container, unique_ptr< Element > pointer)
template<class Container, class Element>
void | noThrowPushBack (Container &container, unique_ptr< Element > pointer) throw ()

## Function Documentation

## exceptionSafePushBack()

template<class Container, class Element>

void exceptionSafePushBack | ( | Container & | container,
|  | unique_ptr< Element > | pointer )

Definition at line 129 of file ElementDeleter.h.

## noThrowPushBack()

template<class Container, class Element>

void noThrowPushBack | ( | Container & | container,
|  | unique_ptr< Element > | pointer )
throw | ( | ) |  |  |

Definition at line 141 of file ElementDeleter.h.